% priprava
sig1 = s;               %priradit nefiltrovany
sig2 = odfiltrovany2;   %priradit filtrovany

%figure();
%clf;
%plot(sig1, 'blue'), hold on, plot(sig2, 'red')

clc;

% vypocet pro signal se sumem
N1 = length(sig1);
N2 = length(sig2);

if (N1 ~= N2)
    error('Signály nemají stejný počet vzorků (stejnou délku)')
elseif (mod(N1, 264) ~= 0)
    error('Počet vzorků v signálu musí být násobkem 264')
else
    M1 = floor(N1/264);
    M2 = floor(N2/264);

    E1 = zeros(1, 10);
    E2 = zeros(1, 10);
    
    d1 = zeros(1, 10);
    d2 = zeros(1, 10);

    n = 1;
    for i=0:264:N1-1
        x = sig1(i+1:(i+124));
        E1(n) = mean(x);
        d1(n) = std(x);
        n = n + 1;
    end

    n = 1;
    for i=0:264:N2-1
        x = sig2(i+1:(i+124));
        E2(n) = mean(x);
        d2(n) = std(x);
        n = n + 1;
    end

    disp('Střední hodnota nefiltrovaného signálu v 10 usecích')
    disp(E1)
    disp('Střední hodnota filtrovaného signálu v 10 usecích')
    disp(E2)
    disp('Směrodatná odchylka nefiltrovaného signálu v 10 usecích')
    disp(d1)
    disp('Směrodatná odchylka filtrovaného signálu v 10 usecích')
    disp(d2)

    disp('SNR nefiltrovaného signálu v 10 usecích')
    SNR1 = 10*log10(E1./d1);
    disp(SNR1)
    
    disp('SNR filtrovaného signálu v 10 usecích')
    SNR2 = 10*log10(E2./d2);
    disp(SNR2)
end